from sqlalchemy import Column, String, Integer
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.sql import func
from core.database import Base
import uuid

class Character(Base):
    __tablename__ = "characters"

    id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    name = Column(String, nullable=False, unique=True, index=True)
    bounty = Column(Integer, nullable=False)
    created_at = Column(Integer, default=func.now())
    updated_at = Column(Integer, default=func.now(), onupdate=func.now())